STRGID(3)

NAME
strgid - return group ID number for given group name

SYNOPSIS

DESCRIPTION
strgid returns the group ID number for the given group name. strgid maintains an internal cache to avoid repeated password database scans by the low level getgrgid(3). On the first error for a given name, strgid returns -1. Subsequent errors for the same name will result in strgid returning -2 instead.

SEE ALSO
getgrent(3)